import json
import requests

from configparser import ConfigParser


class GarageListener:
    def __init__(self, configFile):
        config = ConfigParser()
        config.read(configFile)

        ntfy = config['garage'].get('ntfy')
        topic = config['garage'].get('topic')

        self.ntfyUri = f'https://{ntfy}/{topic}/json'

    def listenForNotifications(self, queue):
        resp = requests.get(self.ntfyUri, stream=True)

        try:
            for line in resp.iter_lines():
                if line:
                    data = json.loads(line.decode('utf-8'))

                    if (data['event'] == 'message'):
                        queue.put('update')
        finally:
            resp.close()
